package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 定时快照/备份
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2019/7/29
 */
@Table("snapshot_task")
public class SnapshotTask extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;// ID
	@Column("name")
	private String name;// 快照名称
	@Column("remark")
	private String remark;// 快照描述
	@Column("server_id")
	private Long serverId;// 云主机ID
	@Column("volume_id")
	private Long volumeId;// 云硬盘ID
	@Column("vendor_id")
	private Long vendorId;// 云平台ID
	@Column("cron")
	private String cron;// 定时任务cron表达式
	@Column("task_id")
	private String taskId;// 任务ID

	/**
	 *
	 */
	public SnapshotTask() {
	}

	/**
	 * @param name
	 * @param remark
	 * @param serverId
	 * @param volumeId
	 * @param vendorId
	 * @param cron
	 * @param taskId
	 */
	public SnapshotTask(String name, String remark, Long serverId, Long volumeId, Long vendorId, String cron,
			String taskId) {
		this.name = name;
		this.remark = remark;
		this.serverId = serverId;
		this.volumeId = volumeId;
		this.vendorId = vendorId;
		this.cron = cron;
		this.taskId = taskId;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getServerId() {
		return serverId;
	}

	public void setServerId(Long serverId) {
		this.serverId = serverId;
	}

	public Long getVendorId() {
		return vendorId;
	}

	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	public Long getVolumeId() {
		return volumeId;
	}

	public void setVolumeId(Long volumeId) {
		this.volumeId = volumeId;
	}

	public String getCron() {
		return cron;
	}

	public void setCron(String cron) {
		this.cron = cron;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}
}
